Bug 77025 - choosing individual packages doesn't reuse data
choosing individual packages doesn't reuse data
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-10-30 22:58 EST by Joseph Shraibman
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-01 11:27:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2002-10-30 22:58:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
During package installation the user is given a list of packages to include or
exclude. At the bottom is a checkbox 'choose individual packages'. But if the
user chooses that he must start over from scratch, because all those choices he
made before didn't do anything. This has been the case as far back as redhat 5.0
and I find it amazing that it hasn't been corrected yet.

Version-Release number of selected component (if applicable):
Comment 1 Michael Fulbright 2002-10-31 14:53:01 EST
Could you give an example?  As far as I can tell the screens work as designed.
Comment 2 Joseph Shraibman 2002-10-31 16:01:20 EST
I can't give an example because I don't have a machine around that I can run the
installer on right now.  Is the installer indeed designed to propogate the
selections made in the first screen into the "select indivdual packages" tree? 
Because I remember things like gcc weren't selected even though I requested
development tools.

BTW IMHO lynx should be included in the things selected by 'text-mode-internet'
in the first screen. If x can't be used lynx is vital for going on the net to
download rpms and look for documentation to solve your problem.
Comment 3 Michael Fulbright 2002-11-01 11:27:11 EST
You're choices on the the component selection screen should affect the packages
which are selected on the individual package selection screen.

I'll verify this.

Requests for changes to the components should be filed in bugzilla against the
'comps' bugzilla component.
Comment 4 Michael Fulbright 2002-11-01 11:37:18 EST
It seems to work for me.

I selected 'Custom', then selected 'Editors', which turned on emacs.

I clicked on the checkbox for individual package selection, and went forwards.

emacs was selected on the next screen.
Comment 5 Joseph Shraibman 2002-11-13 21:24:40 EST
I did verify this with kernel development packages. Maybe I just expected some
things to be included and then they weren't which led me to file this bug.
<shrug>  It is annoying that I can't test this easily.
Comment 6 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.